| Home | Libraries | People | FAQ | More

##### url_base::set_encoded_authority

Set the authority.

###### Synopsis

    url_base&
    set_encoded_authority(
        pct_string_view s);

###### Description

This function sets the authority to the specified string. The string may contain percent-escapes.

###### Example

    assert( url().set_encoded_authority( "My%20Computer" ).has_authority() );

###### Exception Safety

Strong guarantee. Calls to allocate may throw. Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_eror` | The string contains an invalid percent-encoding.

###### Parameters

Name | Description
--- | ---
`s` | The authority string to set.

###### BNF

    authority     = [ userinfo "@" ] host [ ":" port ]

    userinfo      = *( unreserved / pct-encoded / sub-delims / ":" )
    host          = IP-literal / IPv4address / reg-name
    port          = *DIGIT

###### Specification

- 3.2. Authority (rfc3986)

###### See Also

`remove_authority`.